=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2007-11-04 20:36:50 +0000
+++ viz/branchwin.py	2007-11-05 17:03:57 +0000
@@ -113,9 +113,14 @@
         view_menu_revno_col.set_active(True)
         view_menu_revno_col.connect('toggled', self._col_visibility_changed, 'revno')
 
+        view_menu_date_col = gtk.CheckMenuItem("Show _Date Column")
+        view_menu_date_col.set_active(False)
+        view_menu_date_col.connect('toggled', self._col_visibility_changed, 'date')
+
         view_menu.add(view_menu_toolbar)
         view_menu.add(gtk.SeparatorMenuItem())
         view_menu.add(view_menu_revno_col)
+        view_menu.add(view_menu_date_col)
 
         go_menu = gtk.Menu()
         go_menuitem = gtk.MenuItem("_Go")

=== modified file 'viz/treeview.py'
--- viz/treeview.py	2007-11-04 20:36:50 +0000
+++ viz/treeview.py	2007-11-05 17:03:57 +0000
@@ -36,7 +36,14 @@
                                  'Revision number',
                                  'Show revision number column',
                                  True,
+                                 gobject.PARAM_READWRITE),
+
+        'date-column-visible': (gobject.TYPE_BOOLEAN,
+                                 'Revision number',
+                                 'Show revision number column',
+                                 False,
                                  gobject.PARAM_READWRITE)
+
     }
 
     __gsignals__ = {
@@ -80,6 +87,8 @@
     def do_get_property(self, property):
         if property.name == 'revno-column-visible':
             return self.revno_column.get_visible()
+        elif property.name == 'date-column-visible':
+            return self.date_column.get_visible()
         elif property.name == 'branch':
             return self.branch
         elif property.name == 'revision':
@@ -90,6 +99,8 @@
     def do_set_property(self, property, value):
         if property.name == 'revno-column-visible':
             self.revno_column.set_visible(value)
+        elif property.name == 'date-column-visible':
+            self.date_column.set_visible(value)
         elif property.name == 'branch':
             self.branch = value
         elif property.name == 'revision':
@@ -265,6 +276,18 @@
         self.committer_column.add_attribute(cell, "text", treemodel.COMMITER)
         self.treeview.append_column(self.committer_column)
 
+        cell = gtk.CellRendererText()
+        cell.set_property("width-chars", 40)
+        cell.set_property("ellipsize", pango.ELLIPSIZE_END)
+        self.date_column = gtk.TreeViewColumn("Date")
+        self.date_column.set_visible(False)
+        self.date_column.set_resizable(True)
+        self.date_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
+        self.date_column.set_fixed_width(cell.get_size(self.treeview)[2])
+        self.date_column.pack_start(cell, expand=True)
+        self.date_column.add_attribute(cell, "text", treemodel.TIMESTAMP)
+        self.treeview.append_column(self.date_column)
+
     def _on_selection_changed(self, selection, *args):
         """callback for when the treeview changes."""
         (model, selected_rows) = selection.get_selected_rows()

